Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::HomeRegistrar Interface Reference

`import "HomeRegistrar.idl";`

Inheritance diagram for CIAO::HomeRegistrar:

[legend]
Collaboration diagram for CIAO::HomeRegistrar:

[legend]
List of all members.

## Public Methods
void | register_home (in CORBA::RepositoryId home_repo_id, in CORBA::RepositoryId comp_repo_id, in string home_name, in Object objref) raises (AlreadyBound, InvalidName, HomeRegisterFailure)

## Member Function Documentation

void CIAO::HomeRegistrar::register_home | ( | in CORBA::RepositoryId | home_repo_id,
|  | in CORBA::RepositoryId | comp_repo_id,
|  | in string | home_name,
|  | in Object | objref
| ) | raises (AlreadyBound, InvalidName, HomeRegisterFailure)

The documentation for this interface was generated from the following file:

- HomeRegistrar.idl